org.flexdock.perspective.persist.xml

## Class RectangleSerializer

- java.lang.Object
- - org.flexdock.perspective.persist.xml.RectangleSerializer

All Implemented Interfaces:
  ISerializer

    public class RectangleSerializer
    extends java.lang.Object
    implements ISerializer

Created on 2005-06-03

Version:
  $Id: RectangleSerializer.java,v 1.7 2005-07-06 18:10:48 winnetou25 Exp $
Author:
  Mateusz Szczap

### Constructor Summary

Constructors
Constructor and Description
`RectangleSerializer()`

### Method Summary

Methods
`java.lang.Object` `deserialize(org.w3c.dom.Element element)`
`org.w3c.dom.Element` `serialize(org.w3c.dom.Document document, java.lang.Object object)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RectangleSerializer

    public RectangleSerializer()

### Method Detail

#### serialize

    public org.w3c.dom.Element serialize(org.w3c.dom.Document document,
                                java.lang.Object object)

Specified by:
  `serialize` in interface `ISerializer`
See Also:
  `ISerializer.serialize(org.w3c.dom.Document, java.lang.Object)`

#### deserialize

    public java.lang.Object deserialize(org.w3c.dom.Element element)

Specified by:
  `deserialize` in interface `ISerializer`